Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Interface ConnectionHelper

    public interface ConnectionHelper

Contract for delegates responsible for managing connection used by the hbm2ddl tools.

Method Summary
`Connection` | `getConnection()` Get a reference to the connection we are using.
`void` | `prepare(boolean needsAutoCommit)` Prepare the helper for use.
`void` | `release()` Release any resources held by this helper.

Method Detail

### prepare

    void prepare(boolean needsAutoCommit)
                 throws SQLException

  Prepare the helper for use.

  Parameters:
    `needsAutoCommit` - Should connection be forced to auto-commit if not already.
  Throws:
    `SQLException`

### getConnection

    Connection getConnection()
                             throws SQLException

  Get a reference to the connection we are using.

  Returns:
    The JDBC connection.
  Throws:
    `SQLException`

### release

    void release()
                 throws SQLException

  Release any resources held by this helper.

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.